# $Revision: 1.22 $, $Date: 2009/08/26 11:23:54 $
#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Geometry-Planar
Summary:	Math::Geometry::Planar - a collection of planar geometry functions
Summary(pl.UTF-8):	Math::Geometry::Planar - zestaw funkcji do geometrii na płaszczyźnie
Name:		perl-Math-Geometry-Planar
Version:	1.17
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9b5c6bbe59e578ac14c975f6d3758666
URL:		http://search.cpan.org/dist/Math-Geometry-Planar/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Math-Geometry-Planar-GPC >= 1.04
BuildRequires:	perl-Math-Geometry-Planar-Offset >= 1.00
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Math-Geometry-Planar-GPC >= 1.04
# loop
#Requires:	perl-Math-Geometry-Planar-Offset >= 1.00
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a set of 2D polygon, line and line segment
operations. The module also uses the GPC module for polygon clipping
operaions.

%description -l pl.UTF-8
Ten moduł udostępnia zestaw operacji na wielokątach 2D, liniach i
odcinkach. Używa modułu GPC do obcinania wielokątów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Math/Geometry
%{perl_vendorlib}/Math/Geometry/Planar.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Geometry-Planar.spec,v $
Revision 1.22  2009/08/26 11:23:54  amateja
- updated to 1.17

Revision 1.21  2008/03/24 16:07:52  qboosh
- generic URL

Revision 1.20  2008-01-16 10:42:41  glen
- allow building without loop

Revision 1.19  2008-01-15 20:03:15  glen
- rel 2

Revision 1.18  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.16  2004/12/05 16:36:54  radek
- version 1.14

Revision 1.15  2004/11/03 22:30:34  paladine
- formatting

Revision 1.14  2004/06/05 18:10:45  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.13  2004/05/23 22:56:43  ankry
- fixed deps, rel. 2

Revision 1.12  2004/05/06 18:20:40  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/20 23:59:37  ankry
- ported to new bconds

Revision 1.10  2004/04/14 21:16:31  ankry
- cosmetics, unification

Revision 1.9  2003/10/26 02:23:42  qboosh
- updated to 1.12

Revision 1.8  2003/08/18 08:08:59  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:49  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:21:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:41:01  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:42  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/07 22:59:14  qboosh
- new
